#
# rekurencyjne liczenie silni z zapamiętywaniem
#

import time

def memoize(f):
	memo = {}
	def helper(n, k):
		if n not in memo:
			memo[n] = f(n, k)
		return memo[n]
	return helper

@memoize
def ciag(n, k):
	if n == 0:
		return k
	else:
		prev = ciag(n-1, k)
		if  prev % 2 == 0:
			return prev//2
		else:
			return 3*prev + 1

if __name__ == '__main__':
	for ii in range(3):
		print('Podaj k (próba nr {})'.format(ii))
		k = int(input())
		res = 0
		n = 0
		start = time.time()
		while(res != 1):
			res = ciag(n, k)
			n += 1
			print(' '+str(res), end='')
		end =  time.time()

		print('\nCzas jaki upłynął: {}'.format(end-start))